<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%
  ConferenceCustomBlocks data = ConferenceCustomBlocks.retrieve(request);
  Variables.failIfNull(data);
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
%>
<% if (rdat.useHTMLComments()) { %><!-- Custom blocks for conference #<%= data.getConferenceID() %> --><% } %>
<% rdat.writeContentHeader(out,"Customize Conference:",data.getConferenceName()); %>

<FORM METHOD="POST" ACTION="<%= rdat.getEncodedServletPath("confops") %>"><DIV CLASS="content">
  <INPUT TYPE="HIDDEN" NAME="sig" VALUE="<%= data.getCommunityID() %>">
  <INPUT TYPE="HIDDEN" NAME="conf" VALUE="<%= data.getConferenceID() %>">
  <INPUT TYPE="HIDDEN" NAME="cmd" VALUE="U">
  <TABLE BORDER=0 CELLPADDING=0>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT CLASS="content" COLSPAN=2><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
        Custom HTML block to appear at top of Topic List/Posts pages:
      </FONT></TD>
    </TR>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT CLASS="cinput" COLSPAN=2>
        <TEXTAREA NAME="tx" WRAP=HARD ROWS=7 COLS=80><%= data.getTopCustomBlock() %></TEXTAREA>
      </TD>
    </TR>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT CLASS="content" COLSPAN=2><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
        Custom HTML block to appear at bottom of Topic List/Posts pages:
      </FONT></TD>
    </TR>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT CLASS="cinput" COLSPAN=2>
        <TEXTAREA NAME="bx" WRAP=HARD ROWS=7 COLS=80><%= data.getBottomCustomBlock() %></TEXTAREA>
      </TD>
    </TR>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT CLASS="content">
        <INPUT TYPE="IMAGE" SRC="<%= rdat.getFullImagePath("bn_update.gif") %>" NAME="update"
               ALT="Update" WIDTH=80 HEIGHT=24 BORDER=0>&nbsp;
        <INPUT TYPE="IMAGE" SRC="<%= rdat.getFullImagePath("bn_cancel.gif") %>" NAME="cancel"
               ALT="Cancel" WIDTH=80 HEIGHT=24 BORDER=0>
      </TD>
      <TD ALIGN=RIGHT CLASS="content">
        <A HREF="<%= rdat.getEncodedServletPath("confops?cmd=UX&" + data.getLocator()) %>"><IMG
           SRC="<%= rdat.getFullImagePath("bn_remove.gif") %>" ALT="Remove" WIDTH=80 HEIGHT=24 BORDER=0></A>
      </TD>
    </TR>
  </TABLE>
</DIV></FORM>